## org.eclipse.amp.agf
Class ModelAdapterFactory

    java.lang.Object
      org.eclipse.amp.agf.ModelAdapterFactory

All Implemented Interfaces:
  IGraphicsAdapterFactory, org.eclipse.core.runtime.IAdapterFactory

    public class ModelAdapterFactory

extends java.lang.Object
implements IGraphicsAdapterFactory

Author:
  mparker

Constructor Summary
`ModelAdapterFactory()`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` `getAdapterList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelAdapterFactory

    public ModelAdapterFactory()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Parameters:
    `adaptableObject` -
    `adapterType` -
  Returns:
  See Also:
    `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Returns:
  See Also:
    `IAdapterFactory.getAdapterList()`